<?php
namespace app\index\controller;
use think\facade\View;
use think\facade\Cache;
use think\facade\Cookie;
use think\facade\Session;
use app\common\variable\MsgCode;
use app\common\controller\Score as ScoreController;
class Score extends Base
{
    /**
     * 领取积分任务奖励
     */
    public function receiveScore($id)
    {
        $D=[];
        $D['id']=$id;
        $D['uid']=Session::get('User.id');
        /*
        *  调用公共领取积分任务奖励方法
        *  app\common\controller\Score
        */
        return ScoreController::receiveScore($D);
    }
    public function statistics()
    {
        $User=Session::get('User');
        $D=[
            'uid'       =>  Session::get('User.id'),
            'role_type' =>  Session::get('User.role_type'),
        ];
        /*
        *  调用公共积分统计方法
        *  app\common\controller\Score
        */
        return ScoreController::statistics($D);
    }
    public function signInToday()
    {
        /*
        *  调用公共签到方法
        *  app\common\controller\Score
        */
        return ScoreController::signInToday(Session::get('User.id'));
    }
}
